{% extends '../../base.html'%} {% block main %} {% load static %}


<div style="display: flex" class="position-relative">
  {% include "../../components/quick_access.html" %}
  <div class="container container d-flex flex-column edit-profile-container">
    <form method="POST">
      {% csrf_token %}
      <div class="col" style="position: relative">
        <label for="first_name">Votre prénom :</label>
        <input
          type="text"
          name="first_name"
          id="first_name"
          placeholder="Ex : Jon"
          required
          value="{{ request.user.get_first_name }}"
        />
        <i class="fa-sharp fa-solid fa-address-card cost-auth-icon"></i>
      </div>
      <div class="col" style="position: relative">
        <label for="last_name">Votre nom :</label>
        <input
          type="text"
          name="last_name"
          id="last_name"
          placeholder="Ex : SNOW"
          required
          value="{{ request.user.get_last_name }}"
        />
        <i class="fa-sharp fa-solid fa-address-card cost-auth-icon"></i>
      </div>
      <div class="col" style="position: relative">
        <div class="update-profil-input-email-labels">
          <label for="email">Votre email :</label>
          <span>*Email n'est pas modifiable</span>
        </div>
        <input
          type="email"
          name="email"
          readonly
          id="email"
          placeholder="Ex : jon.snow@gmail.com"
          required
          value="{{ request.user.email }}"
        />
        <i class="fa-solid fa-envelope cost-auth-icon email"></i>
      </div>

      <div class="col" style="position: relative">
        <label for="phone" id="edit-profile-phone-label"
          >Votre numéro de téléphone :</label
        >
        <input
          type="text"
          name="phone"
          id="phone"
          placeholder="Ex : 0612121212"
          {% if request.user.phone %}
            value="{{ request.user.phone }}"
          {% endif %}
        />
        <i class="fa-solid fa-phone cost-auth-icon"></i>
      </div>
      {% if errer %}
      <div class="alert alert-danger" role="alert">{{ errer }}</div>
      {% endif %}
      <div
        style="
          display: flex;
          width: 100%;
          text-align: center;
          justify-content: center;
        "
      >
        <button class="btn btn-primary" type="submit">Sauvegarder</button>
      </div>
    </form>
  </div>
</div>

{% endblock main%}
